/*---------------------------------------------------------------------\
|                                                                      |
|                     _     _   _   _     __     _                     |
|                    | |   | | | \_/ |   /  \   | |                    |
|                    | |   | | | |_| |  / /\ \  | |                    |
|                    | |__ | | | | | | / ____ \ | |__                  |
|                    |____||_| |_| |_|/ /    \ \|____|                 |
|                                                                      |
|                             XXpkgXX library                          |
|                                         (C) SUSE Linux Products GmbH |
\----------------------------------------------------------------------/

  File:       XXPkgXX.cpp

  Author:     XXmaintainerXX <XXemailXX>
  Maintainer: XXmaintainerXX <XXemailXX>

  Purpose:

  Textdomain "XXpkgXX"

/-*/

#include <limal/XXpkgXX/XXPkgXX.hpp>
#include "Utils.hpp"


namespace LIMAL_NAMESPACE
{
namespace XXPKGXX_NAMESPACE
{

using namespace blocxx;


XXPkgXX::XXPkgXX()
	: tmpBuff("")
{
	LOGIT("DEBUG", "constructed XXPkgXX");
}


XXPkgXX::~XXPkgXX()
{
	LOGIT("DEBUG", "destroying XXPkgXX");
}


void XXPkgXX::setBuffer( const String &word)
{
	LOGIT("DEBUG", "setting buffer to " << word);
	tmpBuff = word;
}


String XXPkgXX::getBuffer()
{
	LOGIT("DEBUG", "returning buffer '" << tmpBuff << "'");
	return tmpBuff;
}


String XXPkgXX::getHelloWorldString()
{
	LOGIT("DEBUG", "returning translated '" << __("Hello World") << "'");
	// return the traslated string
	return __("Hello World");
}

}      // End of XXPKGXX_NAMESPACE
}      // End of LIMAL_NAMESPACE

