#include <iostream>
#include <limal/XXpkgXX/XXPkgXX.hpp>

#include <limal/Logger.hpp>

using namespace blocxx;
using namespace limal;
using namespace std;

int main()
{
	cout << "START" << endl;

	// let's allow the lib to log on stderr:
	limal::Logger::setDefaultLogger(
		limal::Logger::createCerrLogger(
			"test_single",
			blocxx::StringArray(1, "*"),
			blocxx::StringArray(1, "*"),
			"%-5p %c - %m"
		)
	);

	XXpKgXX::XXPkgXX xx;

	cout << "setBuffer(\"aBcDef\")" << endl;
	xx.setBuffer( "aBcDeF" );

	cout << "getBuffer return:" << endl;
	cout <<   xx.getBuffer() << endl;
  
	cerr << "This is an error output" << endl;
	cout << "==================================" << endl;

	return 0;
}
