/*---------------------------------------------------------------------\
|                                                                      |
|                     _     _   _   _     __     _                     |
|                    | |   | | | \_/ |   /  \   | |                    |
|                    | |   | | | |_| |  / /\ \  | |                    |
|                    | |__ | | | | | | / ____ \ | |__                  |
|                    |____||_| |_| |_|/ /    \ \|____|                 |
|                                                                      |
|                             XXpkgXX library                          |
|                                                                      |
|                                         (C) SUSE Linux Products GmbH |
\----------------------------------------------------------------------/

  File:       XXPkgXX.hpp

  Author:     XXmaintainerXX <XXemailXX>
  Maintainer: XXmaintainerXX <XXemailXX>

  Purpose:

/-*/
/**
 * @file   XXPkgXX.hpp
 * @brief  This is a short description of the library.
 */
#ifndef   LIMAL_XXPKGXX_HPP
#define   LIMAL_XXPKGXX_HPP

#include <limal/XXpkgXX/config.h>
#include <blocxx/String.hpp>

namespace LIMAL_NAMESPACE
{
namespace XXPKGXX_NAMESPACE
{

/**
 * This class provides NOTHING. It is just created from LiMaL skeleton.
 */
class XXPkgXX
{
public:
	/**
	 * Construct a XXPkgXX object. 
	 */
	XXPkgXX();

	/**
	 * Destructor of XXPkgXX.
	 */
	~XXPkgXX();

	/**
	 * Set the internal buffer.
	 *
	 * @param word    Set the buffer to that string.
	 * @return        void
	 */
	void setBuffer( const blocxx::String &word);

	/**
         * Read the internal buffer.
	 *
	 * @return        The internal buffer
	 */
	blocxx::String getBuffer();

	/**
	 * Traslation example for "hello world"
	 *
	 * @return        translated string
	 */
	blocxx::String getHelloWorldString();

protected:
	blocxx::String tmpBuff;
};

}      // End of XXPKGXX_NAMESPACE
}      // End of LIMAL_NAMESPACE

#endif // LIMAL_XXPKGXX_HPP

